/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** C端人员管理列表 POST /api/FlexEnterpriseWoker/GetUserClientList */
export async function getUserClientList(
  body: API.GetUserClientForBackInput,
  options?: API.RequestConfig
) {
  return request<API.GetUserClientForBackOutputPageOutput>(
    '/api/FlexEnterpriseWoker/GetUserClientList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** C端人员管理--签约详情 POST /api/FlexEnterpriseWoker/GetUserClientSignList */
export async function getUserClientSignList(
  body: API.GetUserClientSignListInput,
  options?: API.RequestConfig
) {
  return request<API.UserClientSignListOutputPageOutput>(
    '/api/FlexEnterpriseWoker/GetUserClientSignList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** C端人员管理--获取人员详情 GET /api/FlexEnterpriseWoker/GetUserDetailForBack */
export async function getUserDetailForBack(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetUserDetailForBackParams,
  options?: API.RequestConfig
) {
  return request<API.GetUserDetailForBackOutput>('/api/FlexEnterpriseWoker/GetUserDetailForBack', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}
